package function.builtin.special;

import function.FunctionNames;
import function.UserDefinedFunction;
import sexpression.Cons;
import sexpression.SExpression;

@FunctionNames({ "DEFUN" })
public class DEFUN extends Define {

    public DEFUN(String name) {
        super(name);
    }

    @Override
    protected UserDefinedFunction createFunction(SExpression functionName, Cons lambdaList, Cons functionBody) {
        return new UserDefinedFunction(functionName.toString(), lambdaList, functionBody);
    }

}
